<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: arts_cf_func.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_9e09f726f934dd5a24e79b66714162e2.html">arts_cf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">arts_cf_func.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacearts__cf__func_1_1register__scalar.html">arts_cf_func::register_scalar</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacearts__cf__func"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html">arts_cf_func</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a53485d130a4558d465c3308f029e2d8d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html#a53485d130a4558d465c3308f029e2d8d">arts_cf_func::ensure_arts_cf_compatibility</a> (cfd)</td></tr>
<tr class="separator:a53485d130a4558d465c3308f029e2d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa030a7aae62b2adec333b630275bf1bc"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html#aa030a7aae62b2adec333b630275bf1bc">arts_cf_func::arts_cf_register_data</a> (cfd)</td></tr>
<tr class="separator:aa030a7aae62b2adec333b630275bf1bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50bc2665fa6d78325254059159708464"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464">arts_cf_func::arts_cf_field_init</a> (cfd)</td></tr>
<tr class="separator:a50bc2665fa6d78325254059159708464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177450750de9b522781e2957edb8d8f9"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html#a177450750de9b522781e2957edb8d8f9">arts_cf_func::arts_cf_scalar_prestep</a> (cfd)</td></tr>
<tr class="separator:a177450750de9b522781e2957edb8d8f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06608036b5002ea3859cb77c2c61a4c6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html#a06608036b5002ea3859cb77c2c61a4c6">arts_cf_func::arts_cf_compute_srcscmid</a> (cfd)</td></tr>
<tr class="separator:a06608036b5002ea3859cb77c2c61a4c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f6c889ae3c75493e953c8d5026622a4"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html#a8f6c889ae3c75493e953c8d5026622a4">arts_cf_func::arts_cf_get_timestepsize</a> (cfd)</td></tr>
<tr class="separator:a8f6c889ae3c75493e953c8d5026622a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a124a555cb80b9d7e11fef0268f3ec046"><td class="memItemLeft" align="right" valign="top">logical function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html#a124a555cb80b9d7e11fef0268f3ec046">arts_cf_func::arts_cf_done</a> (cfd, command)</td></tr>
<tr class="separator:a124a555cb80b9d7e11fef0268f3ec046"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a624cee713a931182a5d9b399805d8649"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearts__cf__func.html#a624cee713a931182a5d9b399805d8649">arts_cf_func::arts_cf_check_user_input</a> (cfd)</td></tr>
<tr class="memdesc:a624cee713a931182a5d9b399805d8649"><td class="mdescLeft">&#160;</td><td class="mdescRight">terminate if deprecated input flags are being used  <a href="namespacearts__cf__func.html#a624cee713a931182a5d9b399805d8649">More...</a><br /></td></tr>
<tr class="separator:a624cee713a931182a5d9b399805d8649"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:41 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
